package fr.eni.enchere.bll;

import fr.eni.enchere.bo.UserProfil;
import org.apache.catalina.User;

import java.util.List;

public interface UserService {
    List<UserProfil> listeUtilisateurs();
    UserProfil utilisateurById(int id);
    UserProfil utilisateurByName(String username);
    UserProfil utilisateurByEmail(String email);
    List<String> listPseudo();
    List<String> listEmail();
    String getUserByMail(String mail);
    void setUtilisateur(UserProfil utilisateur);
    void setCredit(float credit, int id);
    void deleteUtilisateur(int id);
    void disableUtilisateur(int id);
    void enableUtilisateur(int id);
    void onAdminUtilisateur(int id);
    void offAdminUtilisateur(int id);
}
